(function($){

	$(window).on('load', function(){
		$('.fade-in').css({ position: 'relative', opacity: 0, top: -14 });
		setTimeout(function(){
			$('#preload-content').fadeOut(400, function(){
				$('#preload').fadeOut(800);
				setTimeout(function(){
					$('.fade-in').each(function(index) {
						$(this).delay(400*index).animate({ top : 0, opacity: 1 }, 800);
					});
				}, 800);
			});
		}, 400);
	});

	$(document).ready( function(){

		// Create a countdown instance. Change the launchDay according to your needs.
		// The month ranges from 0 to 11. I specify the month from 1 to 12 and manually subtract the 1.
		// Thus the launchDay below denotes 7 May, 2014.
		if ($("#timer").length > 0)
		{
			var launchDay = new Date(itYear, itMonth-1, itDay, itHour, itMin);
			$('#timer').countdown({
				until: launchDay
			});
		}
		// Add YouTube video background
		if ($("#bg-video").length > 0)
		{
			var bgVideo = $('#bg-video');
			if ( !device.tablet() && !device.mobile() ) {
				bgVideo.mb_YTPlayer();
				$('#bg-video-volume').click(function(e){
					var bgVideoVol = $(this);
					e.preventDefault();
					if( bgVideoVol.hasClass('icon-mute') ) {
						bgVideoVol.removeClass('icon-mute').addClass('icon-sound').attr('title', 'Mute');
						bgVideo.unmuteYTPVolume();
						bgVideo.setYTPVolume(5);
					} else {
						bgVideoVol.removeClass('icon-sound').addClass('icon-mute').attr('title', 'Unmute');
						bgVideo.muteYTPVolume();
					}
				});
				$('#bg-video-play').click(function(e){
					var bgVideoPlay= $(this);
					e.preventDefault();
					if( bgVideoPlay.hasClass('icon-pause') ) {
						bgVideoPlay.removeClass('icon-pause').addClass('icon-play').attr('title', 'Play');
						bgVideo.pauseYTP();
					} else {
						bgVideoPlay.removeClass('icon-play').addClass('icon-pause').attr('title', 'Pause');
						bgVideo.playYTP();
					}
				});
			} else {
				var posterUrl = bgVideo.data('poster');
				if ( posterUrl )
					$.backstretch(posterUrl);
				$('#bg-video-controls').hide();
			}
		}

		// Add background slideshow
		// $.backstretch([
		// 	'images/bg1.jpg',
		// 	'images/bg2.jpg',
		// 	'images/bg3.jpg'
		// ], {
		// 	fade: 750,
		// 	duration: 4000
		// });

		// Invoke the Placeholder plugin
		$('input, textarea').placeholder();

		// Validate newsletter form
		$('<div class="loading"><span class="bounce1"></span><span class="bounce2"></span><span class="bounce3"></span></div>').hide().appendTo('.form-wrap');
		$('<div class="success"></div>').hide().appendTo('.form-wrap');
		
		if ($("#wp-mail").length > 0)
		{
	
			$('#newsletter-form').validate({
			 	rules: {
			 		EMAIL: { required: true, email: true }
			 	},
			 	messages: {
			 		EMAIL: {
			 			required: 'Email address is required',
			 			email: 'Email address is not valid'
			 		}
			 	},
			 	errorElement: 'span',
			 	errorPlacement: function(error, element){
			 		error.appendTo(element.parent());
			 	},

			 	submitHandler: function(form)
			 	{

			        $(form).hide();
		 			$('#newsletter .loading').css({ opacity: 0 }).show().animate({ opacity: 1 });
			        
			        var tc_data = "";
			        	tc_data = $("#newsletter_email").val();

			        $(form).ajaxSubmit({
				    
				            //this is the php file that processes the data and send mail
				            url: adminurl,   
				            type: "POST",
				            data: {action: 'it-subcribe', email: tc_data},      
				            cache: false,
				            
				            //success
				            success: function (res) {     
				                //if process.php returned 1/true (send mail success)
				                if (res.length>0) {  
					                $('#newsletter .loading').animate({opacity: 0}, function(){
					                	$(this).hide();                
					 					$('#newsletter .success').show().html(res).animate({opacity: 1});
				                	})
				                }else{
				                	alert('Sorry, unexpected error. Please try again later.');
				                }   
				                //if process.php returned 0/false (send mail failed)
				                           
				            }   
				    });

				    return false;
			        //cancel the submit button default behaviours 
				}
			 });
		}
		 // Bid Domain

        if($("#md-domain-form").length > 0){
          // Validate the contact form
          $("#md-domain-form").validate({
            // Add requirements to each of the fields
            rules: {
              client_name: {
                required: true,
                minlength: 2
              },

              client_email: {
                required: true,
                email: true
              },

              client_phone: {
                required: true,
                number: true,
                minlength: 3
              },

              client_bid: {
                required: true,
                number: true,
                minlength: 1
              },

              captcha: {
                required: true
              }
              
            },

            // Use Ajax to send everything to processForm.php
            submitHandler: function(form) {
              $("#md-bid-domain").val("Sending...");
              $(form).ajaxSubmit({
                url: adminurl,
                data: {action : 'bid-domain', expect: expect},
                success: function(responseText, statusText, xhr, $form) {
                  $("#md-domain-content").slideUp(600, function() {
                   $("#md-domain-content").html(responseText).slideDown(600);
                 })
                }
              });
              return false;
            }
          });
        } 

		// Open modal window on click
		$('#modal-open').on('click', function(e) {
			var mainInner = $('#main .inner'),
				modal = $('#modal');

			mainInner.animate({ opacity: 0 }, 400, function(){
				$('html,body').scrollTop(0);
				modal.addClass('modal-active').fadeIn(400);
			});
			e.preventDefault();

			$('#modal-close').on('click', function(e) {
				modal.removeClass('modal-active').fadeOut(400, function(){
					mainInner.animate({ opacity: 1 }, 400);
				});
				e.preventDefault();
			});
		});

	});
	
})(jQuery);